﻿using Microsoft.AspNetCore.Components;
using Microsoft.AspNetCore.Components.Rendering;

namespace WarcViewerBlazorWinForm.UI.Components.Common
{
    public class ConditionBlock : ComponentBase
    {
        [Parameter] public bool If { get; set; }

        [Parameter]
        public RenderFragment? ChildContent { get; set; }

        protected override void BuildRenderTree(RenderTreeBuilder builder)
        {
            if (If)
            {
                builder.AddContent(0, ChildContent);
            }
        }
    }
}