﻿using System;

namespace GpuFanControl.MsiAfterburnerWrap.ShareMemoryStructs
{
    [Serializable]
    public struct MACM_SHARED_MEMORY_GPU_ENTRY
    {
        public MACM_SHARED_MEMORY_GPU_ENTRY_FLAG Flags;
        public uint CoreClockCur;
        public uint CoreClockMin;
        public uint CoreClockMax;
        public uint CoreClockDef;
        public uint ShaderClockCur;
        public uint ShaderClockMin;
        public uint ShaderClockMax;
        public uint ShaderClockDef;
        public uint MemoryClockCur;
        public uint MemoryClockMin;
        public uint MemoryClockMax;
        public uint MemoryClockDef;
        public uint FanSpeedCur;
        public MACM_SHARED_MEMORY_GPU_ENTRY_FAN_FLAG FanFlagsCur;
        public uint FanSpeedMin;
        public uint FanSpeedMax;
        public uint FanSpeedDef;
        public MACM_SHARED_MEMORY_GPU_ENTRY_FAN_FLAG FanFlagsDef;
        public uint CoreVoltageCur;
        public uint CoreVoltageMin;
        public uint CoreVoltageMax;
        public uint CoreVoltageDef;
        public uint MemoryVoltageCur;
        public uint MemoryVoltageMin;
        public uint MemoryVoltageMax;
        public uint MemoryVoltageDef;
        public uint AuxVoltageCur;
        public uint AuxVoltageMin;
        public uint AuxVoltageMax;
        public uint AuxVoltageDef;
        public int CoreVoltageBoostCur;
        public int CoreVoltageBoostMin;
        public int CoreVoltageBoostMax;
        public int CoreVoltageBoostDef;
        public int MemoryVoltageBoostCur;
        public int MemoryVoltageBoostMin;
        public int MemoryVoltageBoostMax;
        public int MemoryVoltageBoostDef;
        public int AuxVoltageBoostCur;
        public int AuxVoltageBoostMin;
        public int AuxVoltageBoostMax;
        public int AuxVoltageBoostDef;
        public int PowerLimitCur;
        public int PowerLimitMin;
        public int PowerLimitMax;
        public int PowerLimitDef;
        public int CoreClockBoostCur;
        public int CoreClockBoostMin;
        public int CoreClockBoostMax;
        public int CoreClockBoostDef;
        public int MemoryClockBoostCur;
        public int MemoryClockBoostMin;
        public int MemoryClockBoostMax;
        public int MemoryClockBoostDef;
        public int ThermalLimitCur;
        public int ThermalLimitMin;
        public int ThermalLimitMax;
        public int ThermalLimitDef;
        public uint ThermalPrioritizeCur;
        public uint ThermalPrioritizeDef;
    }
}
