﻿using WarcViewerBlazorWinForm.Backend.IO;

namespace WarcViewerBlazorWinForm.Backend.Warc;

internal record WarcIndexerLoadRequestEvent(FileDescriptor FileDescriptor);

internal record WarcIndexerStatusRequestEvent;

internal record WarcIndexerStatusEvent(
    bool IsRunning,
    int QueueLength,
    FileDescriptor? FileDescriptor = null,
    float? Position = null
    );

internal record WarcIndexerQueryRequestEvent(Guid EventId, Func<WarcIndexEntry, bool>? Filter, int PageSize = 50, int PageNumber = 1);
internal record WarcIndexerQueryResultEvent(Guid EventId, WarcIndexEntry[] ResultSet, int TotalCount);
