﻿using WarcViewerBlazorWinForm.Backend.IO.Archiving;
using WarcViewerBlazorWinForm.Backend.IO;

namespace WarcViewerBlazorWinForm.Backend.Warc
{
    internal static class WarcReader
    {
        public static async Task<WarcEntry> ReadEntryAsync(FileDescriptor fd, long offset)
        {
            var stream = await FileReader.OpenReadStreamAsync(fd);
            stream.SeekForwardStupid(offset);
            var block = WarcParser.ReadEntryBlock(stream);
            return WarcParser.ParseBlockDetail(block);
        }
    }
}
